<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="e81d6e08-efc7-40a0-909d-ec4943d948e9" name="Changes" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/.idea.KhaoticEngineReborn/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/.idea.KhaoticEngineReborn/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/enginecustom/enginecustom.vcxproj" beforeDir="false" afterPath="$PROJECT_DIR$/enginecustom/enginecustom.vcxproj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/enginecustom/enginecustom.vcxproj.filters" beforeDir="false" afterPath="$PROJECT_DIR$/enginecustom/enginecustom.vcxproj.filters" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/enginecustom/src/inc/system/ecs/components/audio_component.h" beforeDir="false" afterPath="$PROJECT_DIR$/enginecustom/src/inc/system/ecs/components/audio_component.h" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DpaMonitoringSettings">
    <option name="firstShow" value="false" />
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="HighlightingSettingsPerFile">
    <setting file="file://C:/Program Files (x86)/Windows Kits/10/Include/10.0.26100.0/um/d3d11.h" root0="SKIP_HIGHLIGHTING" />
    <setting file="file://C:/Program Files (x86)/Windows Kits/10/Include/10.0.26100.0/um/dinput.h" root0="SKIP_HIGHLIGHTING" />
    <setting file="file://C:/Program Files/Microsoft Visual Studio/2022/Community/VC/Tools/MSVC/14.44.35207/include/memory" root0="SKIP_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/enginecustom/include/Inc/VertexTypes.h" root0="SKIP_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/enginecustom/include/Vulkan/Include/vulkan/vulkan_core.h" root0="SKIP_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/enginecustom/src/inc/system/ecs/ComponentFactory.h" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/enginecustom/src/inc/system/ecs/component.h" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/enginecustom/src/inc/system/ecs/components/identity_component.h" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/enginecustom/src/inc/system/ecs/components/model_path_component.h" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/enginecustom/src/inc/system/ecs/components/physics_component.h" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/enginecustom/src/inc/system/ecs/components/render_component.h" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/enginecustom/src/inc/system/ecs/components/shader_component.h" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/enginecustom/src/inc/system/ecs/components/transform_component.h" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/enginecustom/src/inc/system/ecs/entity.h" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/enginecustom/src/inc/system/ecs/entity_manager.h" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/enginecustom/src/inc/system/ecs/systems/render_system.h" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/../../IDE_VS/VC/Tools/MSVC/14.38.33130/include/type_traits" root0="SKIP_HIGHLIGHTING" />
  </component>
  <component name="KubernetesApiPersistence">{}</component>
  <component name="KubernetesApiProvider">{
  &quot;isMigrated&quot;: true
}</component>
  <component name="MetaFilesCheckinStateConfiguration" checkMetaFiles="true" />
  <component name="ProblemsViewState">
    <option name="selectedTabId" value="CurrentFile" />
  </component>
  <component name="ProjectColorInfo">{
  &quot;associatedIndex&quot;: 6
}</component>
  <component name="ProjectId" id="2sGIWDeT5ixyzDQ0he4A3RFpG9W" />
  <component name="ProjectLevelVcsManager">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">{
  &quot;keyToString&quot;: {
    &quot;ASKED_SHARE_PROJECT_CONFIGURATION_FILES&quot;: &quot;true&quot;,
    &quot;C++ Project.enginecustom.executor&quot;: &quot;Run&quot;,
    &quot;C/C++ Project.KhaoticDemo.executor&quot;: &quot;Run&quot;,
    &quot;C/C++ Project.enginecustom.executor&quot;: &quot;Run&quot;,
    &quot;RunOnceActivity.ShowReadmeOnStart&quot;: &quot;true&quot;,
    &quot;RunOnceActivity.git.unshallow&quot;: &quot;true&quot;,
    &quot;SHARE_PROJECT_CONFIGURATION_FILES&quot;: &quot;true&quot;,
    &quot;git-widget-placeholder&quot;: &quot;main&quot;,
    &quot;ignore.virus.scanning.warn.message&quot;: &quot;true&quot;,
    &quot;node.js.detected.package.eslint&quot;: &quot;true&quot;,
    &quot;node.js.detected.package.tslint&quot;: &quot;true&quot;,
    &quot;node.js.selected.package.eslint&quot;: &quot;(autodetect)&quot;,
    &quot;node.js.selected.package.tslint&quot;: &quot;(autodetect)&quot;,
    &quot;nodejs_package_manager_path&quot;: &quot;npm&quot;,
    &quot;settings.editor.selected.configurable&quot;: &quot;preferences.pluginManager&quot;,
    &quot;vue.rearranger.settings.migration&quot;: &quot;true&quot;
  }
}</component>
  <component name="RunManager" selected="C/C++ Project.enginecustom">
    <configuration name="KhaoticDemo" type="CppProject" factoryName="C++ Project">
      <configuration_1 setup="1">
        <option name="CONFIGURATION" value="Debug" />
        <option name="PLATFORM" value="x64" />
        <option name="CURRENT_LAUNCH_PROFILE" value="Local" />
        <option name="EXE_PATH" value="$(LocalDebuggerCommand)" />
        <option name="PROGRAM_PARAMETERS" value="$(LocalDebuggerCommandArguments)" />
        <option name="WORKING_DIRECTORY" value="$(LocalDebuggerWorkingDirectory)" />
        <option name="PASS_PARENT_ENVS" value="1" />
        <option name="USE_EXTERNAL_CONSOLE" value="0" />
        <option name="TERMINAL_INTERACTION_BEHAVIOR" value="AUTO_DETECT" />
        <option name="PROJECT_FILE_PATH" value="$PROJECT_DIR$/KhaoticDemo/KhaoticDemo.vcxproj" />
      </configuration_1>
      <option name="DEFAULT_PROJECT_PATH" value="$PROJECT_DIR$/KhaoticDemo/KhaoticDemo.vcxproj" />
      <option name="PROJECT_FILE_PATH" value="$PROJECT_DIR$/KhaoticDemo/KhaoticDemo.vcxproj" />
      <option name="AUTO_SELECT_PRIORITY" value="0" />
      <method v="2">
        <option name="Build" />
      </method>
    </configuration>
    <configuration name="enginecustom" type="CppProject" factoryName="C++ Project">
      <configuration_1 setup="1">
        <option name="CONFIGURATION" value="Debug" />
        <option name="PLATFORM" value="x64" />
        <option name="CURRENT_LAUNCH_PROFILE" value="Local" />
        <option name="EXE_PATH" value="$(LocalDebuggerCommand)" />
        <option name="PROGRAM_PARAMETERS" value="$(LocalDebuggerCommandArguments)" />
        <option name="WORKING_DIRECTORY" value="$(LocalDebuggerWorkingDirectory)" />
        <option name="PASS_PARENT_ENVS" value="1" />
        <option name="USE_EXTERNAL_CONSOLE" value="0" />
        <option name="TERMINAL_INTERACTION_BEHAVIOR" value="AUTO_DETECT" />
        <option name="PROJECT_FILE_PATH" value="$PROJECT_DIR$/enginecustom/enginecustom.vcxproj" />
      </configuration_1>
      <configuration_2 setup="1">
        <option name="CONFIGURATION" value="Release" />
        <option name="PLATFORM" value="x64" />
        <option name="CURRENT_LAUNCH_PROFILE" value="Local" />
        <option name="EXE_PATH" value="$(TargetPath)" />
        <option name="PROGRAM_PARAMETERS" value="" />
        <option name="WORKING_DIRECTORY" value="$(ProjectDir)" />
        <option name="PASS_PARENT_ENVS" value="1" />
        <option name="USE_EXTERNAL_CONSOLE" value="0" />
        <option name="TERMINAL_INTERACTION_BEHAVIOR" value="AUTO_DETECT" />
        <option name="PROJECT_FILE_PATH" value="$PROJECT_DIR$/enginecustom/enginecustom.vcxproj" />
      </configuration_2>
      <option name="DEFAULT_PROJECT_PATH" value="$PROJECT_DIR$/enginecustom/enginecustom.vcxproj" />
      <option name="PROJECT_FILE_PATH" value="$PROJECT_DIR$/enginecustom/enginecustom.vcxproj" />
      <option name="AUTO_SELECT_PRIORITY" value="0" />
      <method v="2">
        <option name="Build" />
      </method>
    </configuration>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="e81d6e08-efc7-40a0-909d-ec4943d948e9" name="Changes" comment="" />
      <created>1738075515913</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1738075515913</updated>
      <workItem from="1738075517746" duration="553000" />
      <workItem from="1738076088229" duration="80000" />
      <workItem from="1738076192788" duration="19000" />
      <workItem from="1738076222547" duration="6131000" />
      <workItem from="1738171504772" duration="876000" />
      <workItem from="1738172392786" duration="67000" />
      <workItem from="1738173151768" duration="2361000" />
      <workItem from="1738175535254" duration="279000" />
      <workItem from="1738178991872" duration="2736000" />
      <workItem from="1738244577624" duration="3000" />
      <workItem from="1738321399968" duration="689000" />
      <workItem from="1738358054789" duration="9000" />
      <workItem from="1738358091089" duration="6675000" />
      <workItem from="1738364887298" duration="2275000" />
      <workItem from="1738515031789" duration="14018000" />
      <workItem from="1741705445392" duration="138000" />
      <workItem from="1741706018301" duration="5499000" />
      <workItem from="1742198713923" duration="31000" />
      <workItem from="1742198792655" duration="4618000" />
      <workItem from="1742203643675" duration="600000" />
      <workItem from="1742206836574" duration="258000" />
      <workItem from="1742207107802" duration="5340000" />
      <workItem from="1742228751298" duration="38000" />
      <workItem from="1742228870107" duration="1198000" />
      <workItem from="1742314944369" duration="79000" />
      <workItem from="1742318452773" duration="2258000" />
      <workItem from="1742331065936" duration="3030000" />
      <workItem from="1742371397157" duration="13355000" />
      <workItem from="1742425863119" duration="231000" />
      <workItem from="1742474596806" duration="67000" />
      <workItem from="1742474683111" duration="689000" />
      <workItem from="1742574318953" duration="552000" />
      <workItem from="1742581210996" duration="681000" />
      <workItem from="1742651501885" duration="47000" />
      <workItem from="1742664377329" duration="746000" />
      <workItem from="1742665243312" duration="310000" />
      <workItem from="1742667326806" duration="95000" />
      <workItem from="1743185728805" duration="15000" />
      <workItem from="1743185754182" duration="815000" />
      <workItem from="1743355100472" duration="708000" />
      <workItem from="1743355837694" duration="1514000" />
      <workItem from="1743370106270" duration="901000" />
      <workItem from="1743505399891" duration="2361000" />
      <workItem from="1746106963725" duration="5888000" />
      <workItem from="1746112904421" duration="75000" />
      <workItem from="1746113092234" duration="1477000" />
      <workItem from="1746117455914" duration="5976000" />
      <workItem from="1746126812110" duration="180000" />
      <workItem from="1746188920194" duration="1870000" />
      <workItem from="1746274246641" duration="89000" />
      <workItem from="1746274352144" duration="8039000" />
      <workItem from="1746444660572" duration="7742000" />
      <workItem from="1746456965664" duration="13000" />
      <workItem from="1746469494034" duration="799000" />
      <workItem from="1746526901276" duration="2023000" />
      <workItem from="1746536290167" duration="1908000" />
      <workItem from="1746538260893" duration="5781000" />
      <workItem from="1746546014271" duration="1814000" />
      <workItem from="1746619988287" duration="12282000" />
      <workItem from="1746711806997" duration="6736000" />
      <workItem from="1746719840054" duration="991000" />
      <workItem from="1746795732153" duration="33000" />
      <workItem from="1746795828588" duration="592000" />
      <workItem from="1747049871967" duration="9350000" />
      <workItem from="1747136509645" duration="3939000" />
      <workItem from="1747258663152" duration="835000" />
      <workItem from="1747826758888" duration="3587000" />
      <workItem from="1747830379222" duration="7954000" />
      <workItem from="1748254142068" duration="10499000" />
      <workItem from="1748267553700" duration="654000" />
      <workItem from="1748429087202" duration="7421000" />
      <workItem from="1748521606678" duration="5300000" />
      <workItem from="1748859894056" duration="1431000" />
      <workItem from="1748861785837" duration="357000" />
      <workItem from="1748865625274" duration="797000" />
      <workItem from="1748869642637" duration="3049000" />
      <workItem from="1748954607174" duration="14202000" />
      <workItem from="1748969487337" duration="402000" />
      <workItem from="1750187491423" duration="4397000" />
      <workItem from="1750191969842" duration="162000" />
      <workItem from="1750248915365" duration="442000" />
      <workItem from="1750335650897" duration="2051000" />
      <workItem from="1750344288223" duration="1751000" />
      <workItem from="1750351735497" duration="9648000" />
      <workItem from="1750417484899" duration="2384000" />
      <workItem from="1750420267631" duration="148000" />
      <workItem from="1750592598277" duration="332000" />
      <workItem from="1750699146323" duration="10385000" />
      <workItem from="1750763086646" duration="4874000" />
      <workItem from="1750770680795" duration="13425000" />
      <workItem from="1750964683511" duration="27000" />
      <workItem from="1750964770914" duration="2126000" />
      <workItem from="1753700140931" duration="918000" />
      <workItem from="1753701507863" duration="7153000" />
      <workItem from="1753713925469" duration="1739000" />
      <workItem from="1754572996727" duration="224000" />
      <workItem from="1755617169013" duration="222000" />
      <workItem from="1757101936080" duration="185000" />
      <workItem from="1757158576637" duration="2501000" />
      <workItem from="1757167799006" duration="45000" />
      <workItem from="1757167889796" duration="7081000" />
      <workItem from="1757175031271" duration="2289000" />
      <workItem from="1757177353935" duration="676000" />
      <workItem from="1757182479393" duration="1386000" />
      <workItem from="1757427950015" duration="2864000" />
      <workItem from="1757431548883" duration="986000" />
      <workItem from="1757449929378" duration="1107000" />
      <workItem from="1757456559331" duration="2094000" />
      <workItem from="1757458683204" duration="3628000" />
      <workItem from="1757938327874" duration="1257000" />
    </task>
    <task id="LOCAL-00001" summary="Minor update - viewport window tweak">
      <option name="closed" value="true" />
      <created>1738175474520</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1738175474520</updated>
    </task>
    <task id="LOCAL-00002" summary="Patch update - add menu button">
      <option name="closed" value="true" />
      <created>1738181617050</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1738181617050</updated>
    </task>
    <option name="localTasksCounter" value="3" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="UnityCheckinConfiguration" checkUnsavedScenes="true" />
  <component name="UnityProjectConfiguration" hasMinimizedUI="false" />
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <option name="CLEAR_INITIAL_COMMIT_MESSAGE" value="true" />
    <MESSAGE value="Minor update - viewport window tweak" />
    <MESSAGE value="Patch update - add menu button" />
    <option name="LAST_COMMIT_MESSAGE" value="Patch update - add menu button" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <breakpoint enabled="true" type="DotNet_Exception_Breakpoints">
          <properties exception="System.OperationCanceledException" breakIfHandledByOtherCode="false" displayValue="System.OperationCanceledException" />
          <option name="timeStamp" value="1" />
        </breakpoint>
        <breakpoint enabled="true" type="DotNet_Exception_Breakpoints">
          <properties exception="System.Threading.Tasks.TaskCanceledException" breakIfHandledByOtherCode="false" displayValue="System.Threading.Tasks.TaskCanceledException" />
          <option name="timeStamp" value="2" />
        </breakpoint>
        <breakpoint enabled="true" type="DotNet_Exception_Breakpoints">
          <properties exception="System.Threading.ThreadAbortException" breakIfHandledByOtherCode="false" displayValue="System.Threading.ThreadAbortException" />
          <option name="timeStamp" value="3" />
        </breakpoint>
      </breakpoints>
    </breakpoint-manager>
    <watches-manager>
      <configuration name="CppProject">
        <watch expression="((class ModelClass &amp;) (*(*(*this).m_Application).m_object[0]))" />
      </configuration>
    </watches-manager>
  </component>
  <component name="XSLT-Support.FileAssociations.UIState">
    <expand />
    <select />
  </component>
</project>